Bug 2157 - Неверная логика работы при множественных запусках update-menus
: Неверная логика работы при множественных запусках update-menus
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/menu)
: unstable
: all Linux
: P4 major
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2003-02-05 17:32 by
Modified: 2006-02-06 22:33 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2003-02-05 17:32:57
Если при одной транзакции apt-get install или apt-get dist-upgrade
устанавливается (или удаляется) более одного пакета, требующих исполнения
update-menus, то пользователь получает битое меню приложений в виндоуменеджере.
Причина в том, что исполняется до конца только первый запуск update-menus а все
последующие видя, что процесс уже запущен просто завершаются.
---

---
По предложению ldv, следует изменить работу update-menus в том случае, если при
старте уже исполняется другая копия, запущенная раньше. Вместо того, что бы
завершаться, процесс должен килять ранее запущенный экземпляр и исполняться
вместо него. Таким образом будет получен каскад запусков update-menus на каждый
пакет, требующий этого, но до конца доработает только тот экземпляр, который
был запущен последним, остальные будут остановлены, что и требуется.
------- Comment #1 From 2003-07-07 17:01:00 -------
Fixed menu-2.1.5-ipl83mdk
Please test
------- Comment #2 From 2003-07-07 17:01:00 -------
Fixed menu-2.1.5-ipl83mdk
Please test
------- Comment #3 From 2003-09-24 12:23:10 -------
reassign 2 zerg@altlinux.org 
------- Comment #4 From 2006-02-06 22:33:07 -------
http://comments.gmane.org/gmane.linux.altlinux.sisyphus/32923

В доках должно быть описание лок-файла с учетом специфики Альта. :)